Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 34 Beta est disponible

#1 Re : [F34] Fedora Rawhide » mariadb et root » 11/04/2021 07:32:46

>    connexion en root sans mot de passe alors qu'il y en a un de défini avec mysql_secure_installation

c'est ce que j'ai essayé d'expliquer dans mon message

* quand tu passe pas le socket local, pas besoin de mdp, c'est l'utilisateur local
* quand tu passes par le réseau, c'est commen avant

#2 Re : [F34] Fedora Rawhide » mariadb et root » 10/04/2021 07:23:03

> les utilisateurs mariadb sont traités indépendamment des utilisateurs unix.

plus maintenant ;)

Lire: https://mariadb.com/kb/en/authenticatio … ix-socket/

De mémoire, c''est une nouveauté de la 10.4 qui a été activée dans F34

#3 Re : [F33] Installation des programmes » [Résolu] Apache php configuration » 29/11/2020 08:38:30

> je m'interroge toujours sur le fait que les changements effectués dans /etc/php.ini ne soient pas pris en compte. pourtant j'ai bien "Loaded Configuration File" :  /etc/php.ini

Ils le sont normalement.
Sauf s'il sont redefinis par une autre valeur dans un des fichiers de /etc/php.d ou dans la configuratin du pool, et bien sur sauf si le service n'est pas relancer

Modifier /etc/php.ini, c'est juste la plus mauvaise manière de le faire.

#4 Re : [F33] Installation des programmes » [Résolu] Apache php configuration » 28/11/2020 08:19:16

> j'ai donc décidé d'ajouter mes paramètres de php dans /etc/httpd/conf.d/domaine.conf .
> mais les commandes basiques php_value et autres ne sont pas reconnus par apache. Le comble.
> et si j'ajoute mes paramètres dans htaccess, c'est le plantage complet.

Normal, PHP est depuis quelques temps déjà exécuté par le service "php-fpm".

Donc les outils spécifiques mod_php ne fonctionne plus (php_value)

Pour modifier proprement la configuration

- fichier /etc/php.d/tonprojet.ini => global
- fichier /etc/php-fpm.d/xxx.conf => par pool (uniquement www fournit par défaut)
- fichier .user.ini => local
Lire https://www.php.net/manual/fr/configura … r-user.php

Et bien sur, il ne faut pas oublier de relancer le service php-fpm pour prise en compte (pas httpd)

#5 Re : [F33] Installation des programmes » Remplacer les php_value des anciens vhost pour php-fpm » 21/11/2020 09:11:38

Il faut soit utiliser 2 pools différents, soit utiliser des fichiers  .user.ini

#6 Re : [F33] Installation des programmes » apache et problème de droit sur les dossiers » 19/11/2020 16:14:59

[apache@thierry home]$ cd thierry
-bash: cd: thierry: Permission non accordée
[apache@thierry home]$ls -ls
total 0
0 drwxrwx---+ 1 thierry thierry 2592 19 nov.  09:23 thierry

If faut donner à apache le droit de traverser ce répertoire

chmod o+x  /home/thierry

#7 Re : [F32] Support général » [Résolu] Config xdebug » 20/08/2020 12:28:24

Normal, on utilise plus "mod_php" depuis plusieurs versions, mais php-fpm.

Donc c'est le service "php-fpm" qu'il faut relancer

Et pour la config, soit par pool dans la configuration du pool (/etc/php-fpm.d/www.conf), soit en .user.ini

#8 Re : [F32] Support général » installation mysql 8 sous fedora 32 » 15/06/2020 08:09:09

Plutôt que de prendre le dépôt MySQL, pourquoi ne pas simplement utiliser le paquet disponible dans le dépôt official de Fedora: community-mysql ?

#9 Re : [F32] Support général » [Résolu] DNF et souscription compte Red Hat ? » 25/05/2020 15:13:55

Voir si le paquet dnf-plugin-subscription-manager est installé et le virer


P.S. de mémoire ce paquet permet la gestion des connections à un système centralisé pour les distributions RPM (pas seulement RHEL sur le RHN).

#11 Re : [Anciennes versions] Fedora Cloud & Fedora Server » [Résolu] php.ini versus php-fpm et opcache » 05/12/2019 11:22:04

Euh....

De mémoire, le paquet owncloud / nextcloud utilise son propre pool, donc effectivement, c'est dans celui là qu'il faut mettre la configuration

Mais j'espère que tu ne l'utilise pas, ce paquet est complétement mort

#12 Re : [Anciennes versions] Fedora Cloud & Fedora Server » [Résolu] php.ini versus php-fpm et opcache » 04/12/2019 11:24:29

> unknown entry 'opcache.enable'

ça ressemble à un problème de fichier de conf, directive php_admin_value oubliée

#13 Re : [Anciennes versions] Fedora Cloud & Fedora Server » [Résolu] php.ini versus php-fpm et opcache » 03/12/2019 14:01:54

> Vu qu'il faut configurer /etc/php-fpm.d/www.conf, si je rajoute les options aussi directement dedans, le service ne peut pas démarrer.

Une erreur ?
Encore une fois, je ne reproduis pas

#14 Re : [Anciennes versions] Fedora Cloud & Fedora Server » [Résolu] php.ini versus php-fpm et opcache » 03/12/2019 14:00:37

Désolé, je reproduis pas, que ce soit en modifiant 10-opcache.ini ou www.conf,  cela fonctionne.

P.S. normalement le phpinfo te liste les fichiers .ini analysés.

#15 Re : [Anciennes versions] Installation des programmes » [Résolu] Recherche " libdvdcss2 " pour handbrake » 30/11/2019 09:30:40

> Il y a une page pour tous les dépôts recommandés ?

RPMfusion est le seul dépôt à suivre les mêmes règles que Fedora (à l'exception des problèmes de licence ou brevet, raison de sa création).

C'est donc le seul indispensable et recommandé.

Les autres sont réservés aux utilisateurs avertis et répondent généralement à des besoins particuliers.

#16 Re : [Anciennes versions] Support général » Mais où est donc passé system-config-users ? » 12/11/2019 18:12:26

Depuis la barre de notification:

Configuration (icone clé / tournevis)
Utilisateurs
Déverouiller
Ajouter un utilisateur

#17 Re : Le comptoir du libre » Centos 8 sort aujourd'hui » 27/09/2019 16:04:31

Je pense qu'on est largement hors sujet ici...
=>> https://fr.centos.org/forums/index.php

> CentOS Stream c'est CentOS avec des paquets plus récents orientés dev ?

Non.

Les paquets "dev", c'est ProwerTools (equivalent de Code Ready Linux Builder)

Pour Stream, si j'ai bien compris, on aura des évolutions en avance de phase sur la prochaine version
(donc des trucs qui arriveront dans 8.1... 8.2)

Mais je ne pense pas qu'on verra beaucoup de choses dedans avant quelques mois.
(cbs, comme koji pour EPEL ne sont pas capable actuellement de construire des modules)

> Donc par exemple, au lieu d'activer le dépôt de Remi pour avoir le dernier PHP, on n'aurait plus qu'à utiliser CentOS Stream ?

Non

Encore une fois, pour PHP, les changements arrivent toujours en premier dans "remi"

"remi" a déjà PHP 7.4

Fedora 31 a PHP 7.3
Fedora rawhide / 32 aura bientot PHP 7.4 https://fedoraproject.org/wiki/Changes/php74
Cette version sera donc importé depuis "remi"

RHEL / CentOS 8.0 a PHP 7.2
RHEL / CentOS 8.1 aura bientôt PHP 7.2 et/ou 7.3
Cette version sera donc importé depuis Fedora

Si j'ai bien compris, avec CentOS Stream, tu "aurais" juste la 7.3 "un peu plu tôt"

#18 Re : [Anciennes versions] Support général » [Résolu] php CLI : erreur PHP Startup ( » 27/08/2019 10:52:12

Je reproduis évidement pas

Dans ton php.ini

session.save_handler = user

Vire cette ligne.

Pour info, on ne modifie pas le php.ini, jamais.
Si besoin, on ajoute un fichier dans /etc/php.d avec les réglages perso

Donc, je te conseille de revenir sur le php.ini par défaut fournit avec la distro.

#19 Re : [Anciennes versions] Support général » [Résolu] Configuration php / mysql » 06/06/2019 11:30:47

mysqld --version
/usr/libexec/mysqld  Ver 8.0.16 for Linux on x86_64 (Source distribution)

Le module est absent ? ou la connexion échoue ?

Avec cette daube de MySQL 8, c'est normal.
Utilise mariadb qui est le serveur par défaut dans Fedora
Sinon, il faut changer le plugin d'identification de MySQL, car aucun client actuel ne le gère correctement.

#20 Re : [Anciennes versions] Support général » [Résolu] Configuration php / mysql » 06/06/2019 07:20:36

visiblement, le module est bien là.

php-fpm a-t-il été relancé suite à l'installation ?

#21 Re : [Anciennes versions] Installation de Fedora » [Résolu] Fixer le nombre de noyaux » 26/04/2019 16:24:56

Je n'ai pas soucis

# grep install /etc/dnf/dnf.conf 
installonly_limit=6

# rpm -q kernel
kernel-5.0.4-200.fc29.x86_64
kernel-5.0.5-200.fc29.x86_64
kernel-5.0.6-200.fc29.x86_64
kernel-5.0.7-200.fc29.x86_64
kernel-5.0.8-200.fc29.x86_64
kernel-5.0.9-200.fc29.x86_64

#22 Re : [Anciennes versions] Installation des programmes » [Résolu] Apache & PHP modules installés mais non chargés - PHP FPM 7.3 - Remi » 23/04/2019 15:52:17

> J'ai créé un fichier pour charger l'extension dans ...

Ben non, il faut l'installer (dnf install  php73-php-zip)... le fichier est fournit avec le RPM.

#24 Re : [Anciennes versions] Installation des programmes » [Résolu] nginx - installation/configuration » 15/02/2019 09:18:23

> Qui de Nginx ou Apache est préférable ?

Troll ?

à mon avis, Apache HTTP Server reste la référence.

Beaucoup de personnes ont choisi nginx pour de mauvaise raisons. En particulier la performance car httpd est longtemps resté fournit avec une configuration en mode "pre_fork" à cause de mod_php (non supporté en mode thread). Désormais Fedora fournit un configuration par défaut en mode "event" avec FPM.

#25 Re : [Anciennes versions] Installation des programmes » [Résolu] nginx - installation/configuration » 14/02/2019 09:33:33

winmandrake a écrit :

Pour avoir nginx de fonctionnel, il vaudrait mieux le lancé :)

Et aussi php-fpm (même si actuellement il est démarré automatiquememt par nginx.

systemctl enable --now php-fpm

Pied de page des forums

Propulsé par FluxBB